GET/Collaborators/{id}/dashboard
Gets the collaborator dashboard: its points of contact, the activities it is scheduled on, crew missing a required attribute value, and the tasks
assigned to it or its crew, including subtasks of those tasks. Use Collaborators_GetCollaboratorTasks for the full task detail.
Path Parameters
| Field | Type | Required | Description |
|---|
| id | uuid | Required | |
Response
| Field | Type | Description |
|---|
| contacts | GetCollaboratorDashboardResponseContact[]| null | |
| activities | GetCollaboratorDashboardResponseActivity[]| null | |
| incompleteCrew | GetCollaboratorDashboardResponseContact[]| null | |
| tasks | GetCollaboratorDashboardResponseTask[]| null | |
| Field | Type | Description |
|---|
| id | uuid | |
| firstName | string| null | |
| lastName | string| null | |
| title | string| null | |
| email | string| null | |
| phoneNumber | string| null | |
GetCollaboratorDashboardResponseActivity
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
| startDateTime | date-time | |
| endDateTime | date-time | |
GetCollaboratorDashboardResponseTask
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
| statusId | uuid| null | |
| startDateTime | date-time| null | |
| endDateTime | date-time| null | |
| description | string| null | |
| priority | string| null | |
| index | integer | |
| parentId | uuid| null | |
| phaseId | uuid| null | |
| assignees | GetCollaboratorDashboardResponseTaskAssigneesList | |
| reviewers | GetCollaboratorDashboardResponseTaskUser[]| null | |
| attributes | GetCollaboratorDashboardResponseTaskAttribute[]| null | |
| reviews | GetCollaboratorDashboardResponseTaskReview[]| null | |
| comments | GetCollaboratorDashboardResponseTaskComment[]| null | |
| dependents | uuid[]| null | |
| dependsOn | uuid[]| null | |
GetCollaboratorDashboardResponseTaskAssigneesList
| Field | Type | Description |
|---|
| crewMembers | GetCollaboratorDashboardResponseTaskUser[]| null | |
| collaborators | GetCollaboratorDashboardResponseTaskCollab[]| null | |
GetCollaboratorDashboardResponseTaskUser
| Field | Type | Description |
|---|
| id | uuid | |
GetCollaboratorDashboardResponseTaskAttribute
| Field | Type | Description |
|---|
| attributeId | uuid | |
| value | string| null | |
GetCollaboratorDashboardResponseTaskReview
| Field | Type | Description |
|---|
| id | uuid | |
| crewId | uuid | |
| response | string| null | |
| createdDate | date-time | |
| Field | Type | Description |
|---|
| id | uuid | |
| userId | uuid | |
| commentText | string| null | |
| reviewId | uuid| null | |
| createdDate | date-time | |
GetCollaboratorDashboardResponseTaskCollab
| Field | Type | Description |
|---|
| id | uuid | |